 package livework;
/* (c) Alex McLean 2006
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

/**
 * Contains the main method for the application.
 */
public class LiveWork {
    /**
     * The main method for the LiveWork application, merely instantiates 
     * an object of this class.
     * @param args not used
     */
	public static void main(String[] args) {
		new LiveWork();
	}

	/**
	 * The entry point for the livework application.<br />
	 * Makes a LiveProxy for the Bare class, and instantiates a Clock
	 * object that calls the trigger() method of the proxied object.
	 */
	public LiveWork () {
		Triggerable livecode = (Triggerable) LiveProxy.createProxy("Bare");
		Clock clock = new Clock();
		clock.addTriggerable(livecode);
		new Thread(clock).start();
	}
}
