package livework;
/* (c) Alex McLean 2006
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

/**
 * Interface for objects that have a trigger() method, and can therefore 
 * be passed to the Clock class.
 * @see Clock
 */
public interface Triggerable {
	public void trigger();
}
